#include <gnome.h>
#include <gconf/gconf-client.h>

#define PACKAGE "gconf-test"
#define VERSION "0.0.0"

GConfClient *gconf = NULL;

void quit_func (void)
{
   gtk_object_unref (GTK_OBJECT (gconf));
   gtk_main_quit ();
}

int main (int argc, char *argv[])
{
    GtkWidget *window;
    GConfValue* v;

    g_thread_init (NULL);
    gnome_init (PACKAGE, VERSION, argc, argv);
    gconf_init (argc, argv, NULL);
    gconf = gconf_client_new ();

    window = gnome_app_new ("gconf-test", "gconf-test: close this window to quit");
    gtk_signal_connect (GTK_OBJECT (window), "delete_event",
			GTK_SIGNAL_FUNC (quit_func), NULL);
    gtk_widget_show (window);

    gdk_threads_enter ();
    gtk_main ();
    gdk_threads_leave ();

    return 0;
}


